RubyGems Navigation menu

dependabot-common 0.216.0

Dependabot-Common provides the shared code used across Dependabot. If you want support for multiple package managers, you probably want the meta-gem dependabot-omnibus.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 0.253.0 - April 18, 2024 (99 KB)
  2. 0.252.0 - April 11, 2024 (99 KB)
  3. 0.251.0 - April 05, 2024 (98.5 KB)
  4. 0.250.0 - April 02, 2024 (98 KB)
  5. 0.249.0 - March 28, 2024 (98 KB)
  6. 0.216.0 - April 12, 2023 (76 KB)
Show all versions (826 total)

Runtime Dependencies (13):

aws-sdk-ecr ~> 1.5
bundler >= 1.16, < 3.0.0
commonmarker >= 0.20.1, < 0.24.0
excon ~> 0.96, < 0.100
faraday = 2.7.4
faraday-retry = 2.1.0
gitlab = 4.19.0
nokogiri ~> 1.8
octokit >= 4.6, < 7.0
parser >= 2.5, < 4.0
toml-rb >= 1.1.2, < 3.0

Development Dependencies (13):

debug ~> 1.7.1
gpgme ~> 2.0
parallel_tests ~> 4.2.0
rake ~> 13
rspec ~> 3.12
rspec-its ~> 1.3
rubocop ~> 1.48.0
simplecov ~> 0.22.0
stackprof ~> 0.2.16
vcr ~> 6.1
webmock ~> 3.18

Owners:

Pushed by:

Authors:

  • Dependabot

SHA 256 checksum:

aa087ec66d1855ca561f2ea81066cfdeaadfd1a3297045c476ea1abebd9908bf

Total downloads 3,184,884

For this version 541

License:

Nonstandard

Required Ruby Version: >= 3.1.0

Required Rubygems Version: >= 3.3.7

Links: